# matrix-emoji-autoupload

Automated emoji uploader for Matrix.

Very janky and without any guarantees.

## Usage

A [venv](https://docs.python.org/3/library/venv.html) setup is recommended.

Install dependencies:

`pip -r requirements.txt`

Run as a CLI command:

* Please note the handle has to be in the format `@user:instance.org`

```
python main.py [-h] [--tag TAG | --room-id ROOM_ID] [--room-event-id ROOM_EVENT_ID] --token TOKEN --instance INSTANCE emoji_file [emoji_file ...]

positional arguments:
  emoji_file           a list of files to upload

options:
  // Upload to the personal emoji pack:
  --tag TAG            the Matrix handle of the user
  
  // Or upload to a room emoji pack:
  
  --room-id ROOM_ID    the Matrix room to upload the emoji in
  --room-event-id ROOM_EVENT_ID
                       the Matrix room event ID the pack is stored in,
                       leave empty for the default one

  // Required options:
  
  --token TOKEN        a Matrix account bearer token
  --instance INSTANCE  a Matrix instance domain
```